Subject: [Roll] small comment on DAO ACK

From: Yoav Ben-Yehezkel <[email-masked]>
Date: Tue, 3 Aug 2010 14:22:53 +0300

Hi,

In Section 6.5.1 the format of the DAO-ACK BO is given with “option(s)”
field. Then in section 6.5.3 it says there are no options supported by
DAO-ACK. Is this OK? Are those future options that may be supported?

See related text below.

Thanks,

Yoav

“

6.5.1.  Format of the DAO-ACK Base Object

        0                   1                   2                   3

        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

       | RPLInstanceID |D|  Reserved   |  DAOSequence  |    Status     |

       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

       |                                                               |

       +                                                               +

       |                                                               |

       +                            DODAGID*                           +

       |                                                               |

       +                                                               +

       |                                                               |

       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

       |   Option(s)...

       +-+-+-+-+-+-+-+-+

…

6.5.3.  DAO-ACK Options

   This specification does not define any options to be carried by the

   DAO-ACK message.

“

---

From: JP Vasseur <[email-masked]>
Date: Tue, 3 Aug 2010 14:26:40 +0200

Hi Yoav,

What the text says is that options may be defined in the future but no  
options for DAO-ACK are defined in this document.

Thanks.

JP.

On Aug 3, 2010, at 1:22 PM, Yoav Ben-Yehezkel wrote:

> Hi,
>
> In Section 6.5.1 the format of the DAO-ACK BO is given with  
> “option(s)” field. Then in section 6.5.3 it says there are no  
> options supported by DAO-ACK. Is this OK? Are those future options  
> that may be supported?
>
> See related text below.
>
> Thanks,
> Yoav
>
>
> “
>        +                             
> DODAGID*                           +
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll